/**
 * This class adds a Queue interface to a Vector
 *
 * @author <A HREF="mailto:gte220j@prism.gatech.edu.com"> J.Chris Holmes </A>
 * @version Version 1.0, 4/23/2001
 */

import java.util.Vector;

public class Queue extends Vector
{
  /**
   * Default constructor for a Queue
   */
  public Queue() {
  }

  /**
   * Enqueues the passed in Object
   *
   * @param o  Object to be added to the Queue
   */
  public void enqueue(Object o) {
    add(o);
  }
  /**
   * Removes the first Object from the Queue and returns it
   *
   * @return  First Object in the Queue
   */
  public Object dequeue() {
    return( remove(0) );
  }
  /**
   * Returns true/false depending on whether or not the Queue is empty
   *
   * @return  True if the Queue is empty
   */
  public boolean isEmpty() {
    if(size() == 0) return(true);
    else return(false);
  }
}
